.root {
  position: relative;
  display: block;
  grid-area: trigger;
  justify-self: flex-end;
  align-self: center;
  padding: 0;
  width: 1.75rem;
  height: 1.5rem;
  background-color: transparent;
  border: none;
  transition: all .4s ease-in-out;
  cursor: pointer;
}

.root-open {
}

@media (min-width: 1280px) {
  .root {
    display: none;
  }
}

.navBar {
  position: absolute;
  display: block;
  width: 100%;
  height: 2px;
  background-color: var(--color-white);
  border-radius: 2px;
  transition: all 0.3s ease-in-out;
}

.navBarTop {
  width: 100%;
  top: 0;
}

.navBarMiddle{
  margin-top: -1px;
}

.navBarBottom{
  width: 65%;
  bottom: 0;
}

.root-open .navBarTop {
  width: 2rem;
  transform: translateY(11px) rotate(45deg);
}

.root-open .navBarMiddle {
  transform: translateY(-30px);
  opacity: 0;
}

.root-open .navBarBottom {
  width: 2rem;
  transform: translateY(-11px) rotate(-45deg);
}